Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch test runs

Fetch Supabase-backed v1 test runs for a project, optionally filtered by config, dataset, or status.

GET/v1/projects/{projectId}/test-runs
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Query parameters
test_config_idstring
dataset_idstring
statusstring
Allowed:pendingrunningcompletederrorcancelled
limitnumber
offsetnumber
Responses
200

Response for status 200

test_runsobject[]required
Show properties
Array of object
idstringrequired
organization_idstring
project_idstringrequired
user_idstringrequired
test_config_idstringrequired
dataset_idstringrequired
dataset_version_idstringrequired
sourcestringrequired
Allowed:sdkclimcpplatformlegacy
statusstringrequired
Allowed:pendingrunningcompletederrorcancelled
namestringrequired
error_messagestring | null
Show properties
Any of:
string
string
null
null
created_atstring
updated_atstring
started_atstring | null
Show properties
Any of:
string
string
null
null
completed_atstring | null
Show properties
Any of:
string
string
null
null
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/test-runs' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "test_runs": [
    {
      "id": "string",
      "organization_id": "string",
      "project_id": "string",
      "user_id": "string",
      "test_config_id": "string",
      "dataset_id": "string",
      "dataset_version_id": "string",
      "source": "sdk",
      "status": "pending",
      "name": "string",
      "error_message": "string",
      "created_at": "string",
      "updated_at": "string",
      "started_at": "string",
      "completed_at": "string"
    }
  ]
}

Was this page helpful?